
QGIS Application - Bug report #16055

SVG marker path keeps getting lost from style definition

2017-01-10 04:24 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.14.10 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23970

Description

I have some styles that use SVG markers loaded from a file on the computer. The file path is relative to the project path and the actual

disk location of the file never ever changes.

Every single time I install Qgis on a new computer and then open an existing project it has forgotten where the SVG files for these markers

are and I have to go through every style that uses a SVG marker and tell it where the file is on the computer.

There are two issues

1. If I have loaded the global styles (in the style manager) from a file on the computer then that file (the location of which also never

changes) should be able to tell Qgis where to find the SVGs instead of just resetting the path to Qgis/apps/qgis-ltr/svg which it is doing.

2. If I use rule based styles these styles are saved in the project file and should be including the information needed to reload the SVGs on

a new computer.

In other words it seems this information is stored globally in the configuration settings for the Qgis application and not with style definitions

which in some cases are saved in a project file rather than being globally defined.

History

#1 - 2017-01-10 05:17 AM - Giovanni Manghi

- Category set to Project Loading/Saving

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
